#!/usr/bin/env python

# pylint: disable=missing-docstring
# pylint: disable=no-name-in-module

import sys

from PyQt5.QtWidgets import (QApplication, QWidget, QListView, QVBoxLayout)
from PyQt5.QtCore import pyqtSignal

class Viewer(QListView):

    data = pyqtSignal(dict)

    def __init__(self, parent=None):
        super().__init__(parent)
        self.data.emit({1: 2})
        return

def showData(data):
    print('data', data)
    return

class MainWindow(QWidget):

    def __init__(self, parent=None):
        super().__init__(parent)
        self.view = Viewer(self)
        layout = QVBoxLayout()
        layout.addWidget(self.view)
        self.setLayout(layout)
        self.resize(600, 800)
        self.view.data.connect(showData)
        return

def main():
    app = QApplication(sys.argv)
    mainWindow = MainWindow()
    mainWindow.show()
    return app.exec_()

if __name__ == '__main__':
    main()
